plot.ppr {stats} | R Documentation

## Plot Ridge Functions for Projection Pursuit Regression Fit

### Description

Plot ridge functions for projection pursuit regression fit.

### Usage

    ## S3 method for class 'ppr':
    plot(x, ask, type = "o", ...)

### Arguments

`x` | A fit of class `"ppr"` as produced by a call to `ppr`.
`ask` | the graphics parameter `ask`: see `par` for details. If set to `TRUE` will ask between the plot of each cross-section.
`type` | the type of line to draw
`...` | further graphical parameters

### Value

None

### Side Effects

A series of plots are drawn on the current graphical device, one for each term in the fit.

### See Also

`ppr`, `par`

### Examples

    data(rock)
    attach(rock)
    area1 <- area/10000; peri1 <- peri/10000
    par(mfrow=c(3,2))# maybe: , pty="s")
    rock.ppr <- ppr(log(perm) ~ area1 + peri1 + shape,
                    data = rock, nterms = 2, max.terms = 5)
    plot(rock.ppr, main="ppr(log(perm)~ ., nterms=2, max.terms=5)")
    plot(update(rock.ppr, bass=5), main = "update(..., bass = 5)")
    plot(update(rock.ppr, sm.method="gcv", gcvpen=2),
         main = "update(..., sm.method=\"gcv\", gcvpen=2)")
    detach()

[Package Contents]